Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.project
Class DefaultProject

    java.lang.Object
      org.gradle.api.internal.project.AbstractProject
          org.gradle.api.internal.project.DefaultProject

    class DefaultProject
    extends AbstractProject

author:
  Hans Dockter

Constructor Summary
`DefaultProject(java.lang.String name)`
`DefaultProject(java.lang.String name, ProjectInternal parent, java.io.File projectDir, java.io.File buildFile, ScriptSource buildScriptSource, IProjectRegistry projectRegistry, BuildInternal build, ProjectServiceRegistryFactory serviceRegistryFactory)`

Method Summary
`void` | `allprojects(groovy.lang.Closure configureClosure)`
`def` | `ant(groovy.lang.Closure configureClosure)`
`void` | `artifacts(groovy.lang.Closure configureClosure)`
`void` | `buildscript(groovy.lang.Closure configureClosure)`
`void` | `configurations(groovy.lang.Closure configureClosure)`
`java.lang.Object` | `configure(java.lang.Object object, groovy.lang.Closure configureClosure)`
`java.lang.Iterable` | `configure(java.lang.Iterable objects, groovy.lang.Closure configureClosure)`
`void` | `dependencies(groovy.lang.Closure configureClosure)`
`def` | `methodMissing(java.lang.String name, def args)`
`java.lang.Object` | `passThrough(java.lang.Object object)` This is called by the task creation DSL.
`Project` | `project(java.lang.String path, groovy.lang.Closure configureClosure)`
`def` | `propertyMissing(java.lang.String name)`
`void` | `repositories(groovy.lang.Closure configureClosure)`
`void` | `setProperty(java.lang.String name, def value)`
`void` | `subprojects(groovy.lang.Closure configureClosure)`
`Task` | `task(java.lang.String task)` Adds a task with the given name.
`Task` | `task(java.lang.String task, groovy.lang.Closure configureClosure)` Adds a task with the given name and configure closure.
`Task` | `task(java.util.Map options, java.lang.String task)` Adds a task with the given name and options.
`Task` | `task(java.util.Map options, java.lang.String task, groovy.lang.Closure configureClosure)` Adds a task with the given name, options and configure closure.

Methods inherited from class AbstractProject
absolutePath, addChildProject, afterEvaluate, afterEvaluate, allprojects, applyActions, beforeEvaluate, beforeEvaluate, captureStandardOutput, childrenDependOnMe, compareTo, copy, createAntBuilder, createRepositoryHandler, createTask, createTask, createTask, createTask, createTask, createTask, defaultTasks, dependsOn, dependsOn, dependsOnChildren, dependsOnChildren, depthCompare, dir, disableStandardOutputCapture, equals, evaluate, evaluationDependsOn, file, file, files, findProject, findRelativePath, getAdditionalProperties, getAllTasks, getAllprojects, getAnt, getAntBuilderFactory, getArtifacts, getBuild, getBuildDir, getBuildDirName, getBuildFile, getBuildScriptSource, getBuildscript, getChildProjects, getClassLoaderProvider, getConfigurations, getConvention, getDefaultTasks, getDependencies, getDependsOnProjects, getDepth, getDynamicObjectHelper, getFileResolver, getGroup, getInheritedScope, getLogger, getName, getParent, getParentIdentifier, getPath, getPlugins, getProject, getProjectDir, getProjectEvaluator, getProjectRegistry, getProperties, getRepositories, getRepositoryHandlerFactory, getRootDir, getRootProject, getScript, getStandardOutputRedirector, getState, getStatus, getSubprojects, getTasks, getTasksByName, getVersion, hasProperty, hashCode, isAbsolutePath, project, property, relativePath, setAdditionalProperties, setAnt, setAntBuilderFactory, setArtifactHandler, setBuildDirName, setBuildFile, setBuildScriptSource, setConfigurationContainer, setConvention, setDefaultTasks, setDependencyHandler, setDependsOnProjects, setFileResolver, setGroup, setProjectEvaluator, setProjectPluginsHandler, setProjectRegistry, setRepositoryHandler, setRepositoryHandlerFactory, setScript, setStandardOutputRedirector, setState, setStatus, setTaskContainer, setVersion, subprojects, toString, usePlugin, usePlugin

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultProject

    public DefaultProject(java.lang.String name)

### DefaultProject

    public DefaultProject(java.lang.String name, ProjectInternal parent, java.io.File projectDir, java.io.File buildFile, ScriptSource buildScriptSource, IProjectRegistry projectRegistry, BuildInternal build, ProjectServiceRegistryFactory serviceRegistryFactory)

Method Detail

### allprojects

    public void allprojects(groovy.lang.Closure configureClosure)

### ant

    public def ant(groovy.lang.Closure configureClosure)

### artifacts

    public void artifacts(groovy.lang.Closure configureClosure)

### buildscript

    public void buildscript(groovy.lang.Closure configureClosure)

### configurations

    public void configurations(groovy.lang.Closure configureClosure)

### configure

    public java.lang.Object configure(java.lang.Object object, groovy.lang.Closure configureClosure)

### configure

    public java.lang.Iterable configure(java.lang.Iterable objects, groovy.lang.Closure configureClosure)

### dependencies

    public void dependencies(groovy.lang.Closure configureClosure)

### methodMissing

    public def methodMissing(java.lang.String name, def args)

### passThrough

    public java.lang.Object passThrough(java.lang.Object object)

  This is called by the task creation DSL. Need to find a cleaner way to do this...

### project

    public Project project(java.lang.String path, groovy.lang.Closure configureClosure)

### propertyMissing

    public def propertyMissing(java.lang.String name)

### repositories

    public void repositories(groovy.lang.Closure configureClosure)

### setProperty

    void setProperty(java.lang.String name, def value)

### subprojects

    public void subprojects(groovy.lang.Closure configureClosure)

### task

    public Task task(java.lang.String task)

  Adds a task with the given name. This is called by the task creation DSL.

### task

    public Task task(java.lang.String task, groovy.lang.Closure configureClosure)

  Adds a task with the given name and configure closure. This is called by the task creation DSL.

### task

    public Task task(java.util.Map options, java.lang.String task)

  Adds a task with the given name and options. This is called by the task creation DSL.

### task

    public Task task(java.util.Map options, java.lang.String task, groovy.lang.Closure configureClosure)

  Adds a task with the given name, options and configure closure. This is called by the task creation DSL.

Groovy Documentation